//+------------------------------------------------------------------+
//+------------------------------------------------------------------+
#property copyright "www.forex-tsd.com"
#property link      "www.forex-tsd.com"

#property indicator_separate_window
#property indicator_buffers  1
#property indicator_color1   SteelBlue
#property indicator_level1   4
#property indicator_level2  -4

//
//
//
//
//

extern int    FasterMA  = 9;
extern int    SlowerMA  = 26;
extern int    MAMode    = MODE_EMA;
extern int    MAPrice   = PRICE_CLOSE;
extern int    ADXPeriod = 14;
extern int    ADXPrice  = PRICE_CLOSE;
extern double ADXValue  = 20;
extern double DIValues  = 25;
//
//
//
//
//

double value[];

//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
//
//
//
//
//

int init()
{
   SetIndexBuffer(0,value);
   return(0);
}
int deinit() { return(0); }

//
//
//
//
//

int start() {
   int counted_bars=IndicatorCounted();
   int i,limit;

   if(counted_bars<0) return(-1);
   if(counted_bars>0) counted_bars--;
         limit = MathMin(Bars-counted_bars,Bars-1);

   //
   //
   //
   //
   //
   
   for(i=limit; i>=0; i--)
   {
      double macd = iMA(NULL,0,FasterMA,0,MAMode,MAPrice,i)-iMA(NULL,0,SlowerMA,0,MAMode,MAPrice,i);
      double adx  = iADX(NULL,0,ADXPeriod,ADXPrice,MODE_MAIN,i);
      double dip  = iADX(NULL,0,ADXPeriod,ADXPrice,MODE_PLUSDI,i);
      double dim  = iADX(NULL,0,ADXPeriod,ADXPrice,MODE_MINUSDI,i);

         value[i] = 0;
            if (macd>0)                             value[i] +=1;
            if (macd<0)                             value[i] -=1;
            if (dip>dim && dip>DIValues)            value[i] +=1;
            if (dim>dip && dim>DIValues)            value[i] -=1;
            if (adx>ADXValue && dip>dim)            value[i] +=1;
            if (adx>ADXValue && dim>dip)            value[i] -=1;
            if (adx>ADXValue && adx<dip && adx>dim) value[i] +=1;
            if (adx>ADXValue && adx>dip && adx<dim) value[i] -=1;
   }
   return(0);
}

